/***************************************************************************
 *             __________               __   ___.
 *   Open      \______   \ ____   ____ |  | _\_ |__   _______  ___
 *   Source     |       _//  _ \_/ ___\|  |/ /| __ \ /  _ \  \/  /
 *   Jukebox    |    |   (  <_> )  \___|    < | \_\ (  <_> > <  <
 *   Firmware   |____|_  /\____/ \___  >__|_ \|___  /\____/__/\_ \
 *                     \/            \/     \/    \/            \/
 * $Id: games_menu.c,v 1.5 2002/08/26 03:30:55 elinenbe Exp $
 *
 * Copyright (C) 2002 Robert Hak
 *
 * All files in this archive are subject to the GNU General Public License.
 * See the file COPYING in the source tree root for full license agreement.
 *
 * This software is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY
 * KIND, either express or implied.
 *
 ****************************************************************************/

#include "config.h"
#ifdef HAVE_LCD_BITMAP
#include <stdio.h>
#include <stdbool.h>
#include "lcd.h"
#include "menu.h"
#include "games_menu.h"
#include "button.h"
#include "kernel.h"
#include "sprintf.h"

#include "sokoban.h"
#include "wormlet.h"
extern Menu tetris(void);

Menu games_menu(void)
{
    int m;
    Menu result;

    struct menu_items items[] = {
        { "Tetris", tetris },
        { "Sokoban", sokoban },
	 { "Wormlet", wormlet }
    };

    m=menu_init( items, sizeof items / sizeof(struct menu_items) );
    result = menu_run(m);
    menu_exit(m);

    return result;
}

#endif
